Bug 800819 - replace-brick: stat info is different for nfs/fuse mounts
replace-brick: stat info is different for nfs/fuse mounts
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Divya
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-07 05:51 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-03-07 05:51:52 EST
Description of problem:

stat info is different on nfs and fuse mounts
a replace brick is done after creating file over nfs mount and fuse mount.
the access/change time information is different from the nfs one.


the nfs mount shows the same info as the latest backend is having.

Version-Release number of selected component (if applicable):

3.3.0qa25

How reproducible:
tried this test case only once



Steps to Reproduce:
1.create a file over nfs mount and fuse mount 
2. do replace-brick
3.stat the file from both the mounts
  
Actual results:
the access/change time information is not same

Expected results:
this should be same


Additional info:

before replace-brick:-

[root@RHSSA1 nfs-test]# stat file.1
  File: `file.1'
  Size: 1048576   	Blocks: 2056       IO Block: 65536  regular file
Device: 17h/23d	Inode: 13730829377364227243  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-03-07 09:03:42.313224152 +0000
Modify: 2012-03-07 09:03:42.517422370 +0000
Change: 2012-03-07 09:16:59.787476279 +0000


stat /mnt/glfs/file.1
  File: `/mnt/glfs/file.1'
  Size: 1048576   	Blocks: 2056       IO Block: 131072 regular file
Device: 18h/24d	Inode: 12390610755936095678  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-03-07 09:03:41.548454425 +0000
Modify: 2012-03-07 09:03:41.903454834 +0000
Change: 2012-03-07 09:16:59.014519317 +0000



after replace-brick,


[root@RHSSA1 ~]# stat /mnt/nfs-test/file.1
  File: `/mnt/nfs-test/file.1'
  Size: 1048576   	Blocks: 2056       IO Block: 65536  regular file
Device: 17h/23d	Inode: 13730829377364227243  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-03-07 10:04:48.730222000 +0000
Modify: 2012-03-07 09:03:42.517422000 +0000
Change: 2012-03-07 10:04:48.849237540 +0000

[root@RHSSA1 ~]# stat /mnt/glfs/file.1
  File: `/mnt/glfs/file.1'
  Size: 1048576   	Blocks: 2056       IO Block: 131072 regular file
Device: 18h/24d	Inode: 12390610755936095678  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-03-07 09:03:41.548454425 +0000
Modify: 2012-03-07 09:03:41.903454834 +0000
Change: 2012-03-07 09:16:59.014519317 +0000
Comment 1 Saurabh 2012-03-07 06:56:54 EST
things for notice,
a remount gives the correct info,


[root@RHSSA1 ~]# umount /mnt/glfs
[root@RHSSA1 ~]# mount -t glusterfs 10.1.11.160:/dist-rep /mnt/glfs
[root@RHSSA1 ~]# stat /mnt/glfs/file.1 
  File: `/mnt/glfs/file.1'
  Size: 1048576   	Blocks: 2056       IO Block: 131072 regular file
Device: 18h/24d	Inode: 12390610755936095678  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-03-07 10:04:48.730222000 +0000
Modify: 2012-03-07 09:03:42.517422000 +0000
Change: 2012-03-07 10:04:48.849237540 +0000
[root@RHSSA1 ~]# 


but ideally a remount is not required to get the correct info.
Comment 2 Vijay Bellur 2012-04-04 03:46:39 EDT
Can you please confirm if this happens again?
Comment 3 Saurabh 2012-04-06 04:07:40 EDT
Presently, for me also it not shown any difference in stat info,
before replace-brick and after it,


[root@QA-31 glusterfs-3.3.0qa33]# 
[root@QA-31 glusterfs-3.3.0qa33]# stat /mnt/nfs-test/f.1
  File: `/mnt/nfs-test/f.1'
  Size: 1048576         Blocks: 2056       IO Block: 65536  regular file
Device: 16h/22d Inode: 9573494714716450020  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-06 04:11:07.355890000 -0400
Modify: 2012-04-04 00:10:09.559402000 -0400
Change: 2012-04-06 04:11:07.413007417 -0400
[root@QA-31 glusterfs-3.3.0qa33]# 
[root@QA-31 glusterfs-3.3.0qa33]# 
[root@QA-31 glusterfs-3.3.0qa33]# stat /mnt/glfs/f.1
  File: `/mnt/glfs/f.1'
  Size: 1048576         Blocks: 2056       IO Block: 131072 regular file
Device: 15h/21d Inode: 9573494714716450020  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-06 04:11:07.355890000 -0400
Modify: 2012-04-04 00:10:09.559402000 -0400
Change: 2012-04-06 04:11:08.071231028 -0400
[root@QA-31 glusterfs-3.3.0qa33]#
Comment 4 Saurabh 2012-04-12 08:32:17 EDT
as per the latest discussion we had I am updating the bug again,




1. Gluster volume info
##########################
[root@RHS-71 replace-quota_dist_rep.1333512082]# gluster volume info dist-rep1 
 
Volume Name: dist-rep1
Type: Distributed-Replicate
Volume ID: 9bd3c7b2-2c46-49ea-9ffb-523d4c2d5334
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 172.17.251.71:/export/dr1
Brick2: 172.17.251.72:/export/drr1
Brick3: 172.17.251.73:/export/ddr1
Brick4: 172.17.251.74:/export/ddrr1

2. info from the client
########################
[root@QA-31 nfs-test]# stat /mnt/glfs/f.1
  File: `/mnt/glfs/f.1'
  Size: 1024            Blocks: 16         IO Block: 131072 regular file
Device: 16h/22d Inode: 11415389414041734633  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-12 08:27:01.907902158 -0400
Modify: 2012-04-12 08:27:01.913948453 -0400
Change: 2012-04-12 08:27:01.914905443 -0400
[root@QA-31 nfs-test]# stat f.1
  File: `f.1'
  Size: 1024            Blocks: 16         IO Block: 65536  regular file
Device: 15h/21d Inode: 11415389414041734633  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-12 08:27:46.295073262 -0400
Modify: 2012-04-12 08:27:01.913948453 -0400
Change: 2012-04-12 08:27:01.914905443 -0400


3. info from the server side
################################
[root@RHS-71 replace-quota_dist_rep.1333512082]# gluster volume replace-brick dist-rep1 172.17.251.71:/export/dr1 172.17.251.71:/export/replace-dr1 commit
replace-brick commit successful



[root@RHS-71 replace-quota_dist_rep.1333512082]# stat /export/replace-dr1/f.1
  File: `/export/replace-dr1/f.1'
  Size: 1024      	Blocks: 16         IO Block: 4096   regular file
Device: fc01h/64513d	Inode: 134288880   Links: 2
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-12 12:30:27.165634226 +0000
Modify: 2012-04-12 12:27:01.913948000 +0000
Change: 2012-04-12 12:29:38.650895380 +0000
[root@RHS-71 replace-quota_dist_rep.1333512082]# ssh 172.17.251.72 "stat /export/drr1/f.1"
root@172.17.251.72's password: 
  File: `/export/drr1/f.1'
  Size: 1024      	Blocks: 16         IO Block: 4096   regular file
Device: fc01h/64513d	Inode: 47365       Links: 2
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-12 12:27:46.953237557 +0000
Modify: 2012-04-12 12:27:02.572235905 +0000
Change: 2012-04-12 12:27:02.574235483 +0000
[root@RHS-71 replace-quota_dist_rep.1333512082]# 



4. info from cleint after replace-brick
##########################################

root@QA-31 nfs-test]# stat f.1
  File: `f.1'
  Size: 1024            Blocks: 16         IO Block: 65536  regular file
Device: 15h/21d Inode: 11415389414041734633  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-12 08:29:38.649896000 -0400
Modify: 2012-04-12 08:27:01.913948000 -0400
Change: 2012-04-12 08:29:38.650895380 -0400
[root@QA-31 nfs-test]# 
[root@QA-31 nfs-test]# 
[root@QA-31 nfs-test]# stat /mnt/glfs/f.1
  File: `/mnt/glfs/f.1'
  Size: 1024            Blocks: 16         IO Block: 131072 regular file
Device: 16h/22d Inode: 11415389414041734633  Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2012-04-12 08:27:46.953237557 -0400
Modify: 2012-04-12 08:27:02.572235905 -0400
Change: 2012-04-12 08:27:02.574235483 -0400
Comment 5 Divya 2012-05-04 05:58:38 EDT
Added as a Known Issue in Beta 2 Release Notes and it is available at: http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Storage/2/html/2.0_Release_Notes/chap-2.0_Release_Notes-Test_Chapter.html

Note You need to log in before you can comment on or make changes to this bug.